import Body from './lib/body';
import List from './lib/list';

export interface TabListProps {
    Key: string;
    headerHeight: number;
    tabBarHeight: number;
    isFocused: boolean;
    onMomentumScrollBegin: any;
    onMomentumScrollEnd: any;
    onScrollEndDrag: any;
    scrollY: any;
    listArrRef: any;
    tabRoute: { key: string; title: string };
}

export interface TabViewProps {
    color?: string;
    initTabindex?: number;
    tabRoutes: { key: string; title: string }[];
    HeaderLayout?: () => JSX.Element;
    RenderScene: ({
        headerHeight,
        tabBarHeight,
        scrollY,
        onMomentumScrollBegin,
        onMomentumScrollEnd,
        onScrollEndDrag,
        listArrRef,
        tabRoute,
        Key,
        isFocused,
    }: TabListProps) => JSX.Element | null;
}

export default { Body, List };
